Bug 4796 - Odd characters in documentation file names
: Odd characters in documentation file names
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-15 11:43 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-15 11:43:18
В %_docdir/%name-%version/policy имена файлов начинаются с числа и двоеточия.
Двоеточие не принадлежит к числу символов, безопасных для именования файлов: в
Un*x им разделяются элементы всевозможных путей, в Windows это вообще AFAIK
незаконно.
Зачем вообще эта нумерация? Неужели настолько важен порядок документов в папке,
чтобы нужно было возиться еще и с префиксами (для filename completion это
помеха)?
------- Comment #1 From 2004-09-10 11:47:57 -------
Порядок документов важен, кроме того, мне так удобно, а законность или 
незаконность символов в именах файлов пакета нигде и никем (AFAIK) не 
задукоментирована. Если я ошибаюсь - пришлите ссылку на соответствующий  
официально опубликованный документ, я исправлю ":" на "-", или что там будет 
официально разрешено в документе,, ссылку на который вы мне пришлете. 

Насчет того, зачем нумерация  - мне так удобно. 
------- Comment #2 From 2004-09-10 12:09:30 -------
Речь не о законности (законно почти все), а о потенциальной опасности тех или
иных символов для скриптов и проч. Двоеточие традиционно имеет семантику
разделителя, поэтому в Unix его использовать всуе не принято.

"Мне так удобно" -- самый слабый аргумент, который можно услышать от
maintainer'а. Удобно должно быть пользователю. Нумерация затрудняет filename
completion -- кроме имени документа, пользователь при наборе должен вспомнить
номер, нужный ему как собаке пятая нога.
------- Comment #3 From 2004-09-10 12:10:49 -------
Resolve as Wontfix because the user's concern wasn't invalid.
------- Comment #4 From 2004-09-10 12:40:56 -------
Хорошо, тогда перечислите потенциально безопасные символы с точки зрения 
скриптов и пр. 

Насчет слабости аргумента"Мне так удобно" - он не слабее вашего "Мне так 
неудобно". Говорите "completion" затруднен? Зато в mc главы документа видны 
в естественном порядке, а не черт знает как. Вам, как пользователю, важнее 
completion, мне и моим знакомым важно иметь возможность прочитать документы 
в таком порядке, как предполагается автором, так как определения должны идти 
до их использования, а вот какой-то там complrtion нужен ему как "собаке пятая 
нога" и "зайцу стоп сигнал на хвосте".  

Так что наши аргументы не слабее ваших, да собственно и из той же области вам 
удобно - нам удобно, а как автор я имею типа право назвать файл по своему 
желанию. 

: - я на что-нть заменю, только укажите безопасный символ. Кстати, может мне их 
в форать 8/3 переименовать, чбы их под MS-DOS было "удобно" копировать ? Хотя 
лучше уж сразу в 6/3, у некоторых еще жива rt11sj. 

------- Comment #5 From 2004-09-10 13:12:56 -------
(In reply to comment #4)
> Хорошо, тогда перечислите потенциально безопасные символы с точки зрения 
> скриптов и пр. 

Дефис, подчеркивание, точка.

> Вам, как пользователю, важнее 
> completion, мне и моим знакомым важно иметь возможность прочитать документы 
> в таком порядке, как предполагается автором,

Тогда сделайте из этого руководства честный DocBook и трансформируйте в chunked
html. Там будет index.html, в котором все будет упорядочено.

Алфавитный порядок в неиндексированном сборище текстовых файлов -- неряшливое
решение искусственной проблемы.
------- Comment #6 From 2004-09-10 14:14:01 -------
Опять же - вам удобен html, мне нет. Вам удобен docbook - мне нет. То, что 
использется сейчас - это structured-text, который в zope / python мире является 
более общепринятым. Не надо пытаться устанавливать везде свои собственные 
законы, аргументируя это отсылкой на якобы "общеприянятые" понятия. 


Впрочем, если вы займетесь преобразование документации в docbook и ее 
поддержкой - я окажу вам всемерную помощь в поддержке вашей _неофициальной_ 
версии.  
------- Comment #7 From 2004-11-05 16:40:56 -------
(In reply to comment #6)
> Опять же - вам удобен html, мне нет. Вам удобен docbook - мне нет. То, что 
> использется сейчас - это structured-text, который в zope / python мире является  
> более общепринятым.

Хорошо, только расскажите чем структурно просматривать этот structured-text, не
имея под рукой Zope.

> Не надо пытаться устанавливать везде свои собственные 
> законы, аргументируя это отсылкой на якобы "общеприянятые" понятия. 

Отсылка к количеству документации в дистрибутиве, созданной из DocBook, не
годится? Весь GNOME, LDP...
Насчет общепринятости, вот еще одна ссылка на кладезь мудрости:
http://www.catb.org/~esr/writings/taoup/html/ch18s04.html
------- Comment #8 From 2004-11-11 15:24:05 -------
Михаил, попробуйте все ваши вопросы задать в том же самом ключе в ответ 
на ваши аргументы, а не на мои высказывания. Например: 

 1. Чем можно структурно просматривать docbook не имея под рукой xslt, 
openoffice, etc? ST кстати вполне структурно выглядит в обычном текстовом 
редакторе, в отличие от. 

 2. Количество документации, созданной на ST годится? Вот примерчик 
книжечки полностью написанной на: 
http://plone.org/documentation/books/amazon_tool/0735711100/?depth:int=2  
Поиск остальных примеров оставляю вам для самостоятельных упражнений. 


В общем, продолжать спор в ключе: "правильно так, как хочет Михаил Забалуев"  
мне не интересно. Опровергнуть свои доводы вы можете сами, то, что мои доводы 
опровержимы - я знаю без вас. При относителной равноопровержимости обеих точек 
зрения, моя мне нравится больше. 
------- Comment #9 From 2004-11-13 16:39:07 -------
Resolution needs to be changed
------- Comment #10 From 2004-11-13 16:40:38 -------
Переименование было произведено.